org.apache.cassandra.io.util

## Interface ReaderFileProxy

All Superinterfaces:
  java.lang.AutoCloseable

All Known Subinterfaces:
  ChunkReader, Rebufferer, RebuffererFactory

All Known Implementing Classes:
  AbstractReaderFileProxy, BufferManagingRebufferer, BufferManagingRebufferer.Aligned, BufferManagingRebufferer.Unaligned, CompressedChunkReader, CompressedChunkReader.Mmap, CompressedChunkReader.Standard, LimitingRebufferer

    public interface ReaderFileProxy
    extends java.lang.AutoCloseable

Base class for the RandomAccessReader components that implement reading.

### Method Summary

All Methods Instance Methods Abstract Methods
`ChannelProxy` `channel()`
`void` `close()`
`long` `fileLength()`
`double` `getCrcCheckChance()` Needed for tests.

### Method Detail

#### close

    void close()

Specified by:
  `close` in interface `java.lang.AutoCloseable`

#### channel

    ChannelProxy channel()

#### fileLength

    long fileLength()

#### getCrcCheckChance

    double getCrcCheckChance()

Needed for tests. Returns the table's CRC check chance, which is only set for compressed tables.